###############################################################################
# DonationPageSettings.pm                                                     #
###############################################################################
# YaBB: Yet another Bulletin Board                                            #
# Open-Source Community Software for Webmasters                               #
# Version:        YaBB 2.6.0                                                  #
# Packaged:       July 17, 2014                                               #
# Distributed by: http://www.yabbforum.com                                    #
# =========================================================================== #
# Copyright (c) 2000-2010 YaBB (www.yabbforum.com) - All Rights Reserved.     #
# Software by:  The YaBB Development Team                                     #
#               with assistance from the YaBB community.                      #
###############################################################################

$donationpagesettingspmver = 'YaBB 2.6.0 $Revision: 0.1 $';
if ($action eq 'detailedversion') { return 1; }

if (!-e("$vardir/DonationPage.txt")) { DonationPage2(); }
require "$vardir/DonationPage.txt";

LoadLanguage('DonationPage');

sub DonationPage { 

    is_admin_or_gmod();

    if    (!$en_donationpage)         { $donpage_sel1 = ' selected="selected"'; }
    elsif ($en_donationpage == 1)     { $donpage_sel2 = ' selected="selected"'; }
    elsif ($en_donationpage == 2)     { $donpage_sel3 = ' selected="selected"'; }
    if    ($donation_currency eq AUD) { $donation_currency_sel1 = ' selected="selected"'; }
    elsif ($donation_currency eq BRL) { $donation_currency_sel2 = ' selected="selected"'; }
    elsif ($donation_currency eq CAD) { $donation_currency_sel3 = ' selected="selected"'; }
    elsif ($donation_currency eq CZK) { $donation_currency_sel4 = ' selected="selected"'; }
    elsif ($donation_currency eq DKK) { $donation_currency_sel5 = ' selected="selected"'; }
    elsif ($donation_currency eq EUR) { $donation_currency_sel6 = ' selected="selected"'; }
    elsif ($donation_currency eq HKD) { $donation_currency_sel7 = ' selected="selected"'; }
    elsif ($donation_currency eq HUF) { $donation_currency_sel8 = ' selected="selected"'; }
    elsif ($donation_currency eq ILS) { $donation_currency_sel9 = ' selected="selected"'; }
    elsif ($donation_currency eq JPY) { $donation_currency_sel10 = ' selected="selected"'; }
    elsif ($donation_currency eq MYR) { $donation_currency_sel11 = ' selected="selected"'; }
    elsif ($donation_currency eq MXN) { $donation_currency_sel12 = ' selected="selected"'; }
    elsif ($donation_currency eq NOK) { $donation_currency_sel13 = ' selected="selected"'; }
    elsif ($donation_currency eq NZD) { $donation_currency_sel14 = ' selected="selected"'; }
    elsif ($donation_currency eq PHP) { $donation_currency_sel15 = ' selected="selected"'; }
    elsif ($donation_currency eq PLN) { $donation_currency_sel16 = ' selected="selected"'; }
    elsif ($donation_currency eq GBP) { $donation_currency_sel17 = ' selected="selected"'; }
    elsif ($donation_currency eq SGD) { $donation_currency_sel18 = ' selected="selected"'; }
    elsif ($donation_currency eq SEK) { $donation_currency_sel19 = ' selected="selected"'; }
    elsif ($donation_currency eq CHF) { $donation_currency_sel20 = ' selected="selected"'; }
    elsif ($donation_currency eq TWD) { $donation_currency_sel21 = ' selected="selected"'; }
    elsif ($donation_currency eq THB) { $donation_currency_sel22 = ' selected="selected"'; }
    elsif ($donation_currency eq USD) { $donation_currency_sel23 = ' selected="selected"'; }

    $donation_content =~ s/<br \/>/\n/gsm;

    $yymain .= qq~
<form action="$adminurl?action=donationpage2" method="post">
	<div class="bordercolor" style="padding: 0px; width: 99%; margin-left: 0px; margin-right: auto;">
		<table width="100%" cellspacing="1" cellpadding="4">
			<colgroup>
				<col width="50%" />
				<col width="50%" />
			</colgroup>
			<tr>
				<th class="titlebg" colspan="2">
					<img src="$yyhtml_root/ModImages/donate.gif" alt="" /> $mod_list{'donate'}
				</th>
			</tr><tr>
				<td class="catbg" colspan="2">
					<span class="small">$donateadmin_txt{'01'}</span>
				</td>
			</tr><tr>
				<td class="windowbg2">
					<label for="en_donationpage">$donateadmin_txt{'02'}:</label>
				</td>
				<td class="windowbg2">
					<select name="en_donationpage" id="en_donationpage" size="1">
						<option value="0"$donpage_sel1>$donateadmin_txt{'03'}</option>
						<option value="1"$donpage_sel2>$donateadmin_txt{'04'}</option>
						<option value="2"$donpage_sel3>$donateadmin_txt{'05'}</option>
					</select>
				</td>   
			</tr><tr>
				<td class="windowbg2">
					<label for="donation_id">$donateadmin_txt{'06'}:<br /></label>
				</td>
				<td class="windowbg2">
					<input type="text" name="donation_id" id="donation_id" size="35" value="$donation_id" />
				</td>   
			</tr><tr>
				<td class="windowbg2">
					<label for="donation_currency">$donateadmin_txt{'07'}:<br /><span class="small">$donateadmin_txt{'08'}</span></label>
				</td>
				<td class="windowbg2">
					<select name="donation_currency" id="donation_currency" size="1">
						<option value="AUD"$donation_currency_sel1>AUD ($donateadmin_txt{'09'})</option>
						<option value="BRL"$donation_currency_sel2>BRL ($donateadmin_txt{'10'})</option>
						<option value="CAD"$donation_currency_sel3>CAD ($donateadmin_txt{'11'})</option>
						<option value="CZK"$donation_currency_sel4>CZK ($donateadmin_txt{'12'})</option>
						<option value="DKK"$donation_currency_sel5>DKK ($donateadmin_txt{'13'})</option>
						<option value="EUR"$donation_currency_sel6>EUR ($donateadmin_txt{'14'})</option>
						<option value="HKD"$donation_currency_sel7>HKD ($donateadmin_txt{'15'})</option>
						<option value="HUF"$donation_currency_sel8>HUF ($donateadmin_txt{'16'})</option>
						<option value="ILS"$donation_currency_sel9>ILS ($donateadmin_txt{'17'})</option>
						<option value="JPY"$donation_currency_sel10>JPY ($donateadmin_txt{'18'})</option>
						<option value="MYR"$donation_currency_sel11>MYR ($donateadmin_txt{'19'})</option>
						<option value="MXN"$donation_currency_sel12>MXN ($donateadmin_txt{'20'})</option>
						<option value="NOK"$donation_currency_sel13>NOK ($donateadmin_txt{'21'})</option>
						<option value="NZD"$donation_currency_sel14>NZD ($donateadmin_txt{'22'})</option>
						<option value="PHP"$donation_currency_sel15>PHP ($donateadmin_txt{'23'})</option>
						<option value="PLN"$donation_currency_sel16>PLN ($donateadmin_txt{'24'})</option>
						<option value="GBP"$donation_currency_sel17>GBP ($donateadmin_txt{'25'})</option>
						<option value="SGD"$donation_currency_sel18>SGD ($donateadmin_txt{'26'})</option>
						<option value="SEK"$donation_currency_sel19>SEK ($donateadmin_txt{'27'})</option>
						<option value="CHF"$donation_currency_sel20>CHF ($donateadmin_txt{'28'})</option>
						<option value="TWD"$donation_currency_sel21>TWD ($donateadmin_txt{'29'})</option>
						<option value="THB"$donation_currency_sel22>THB ($donateadmin_txt{'30'})</option>
						<option value="USD"$donation_currency_sel23>USD ($donateadmin_txt{'31'})</option>
					</select>
				</td> 
			</tr><tr>
				<td class="windowbg2">
					<label for="donation_amount">$donateadmin_txt{'32'}:<br /><span class="small">$donateadmin_txt{'33'}</span></label>
				</td>
				<td class="windowbg2">
					<input type="text" name="donation_amount" id="donation_amount" size="10" value="$donation_amount" />
				</td>   
			</tr><tr style="text-align: left; vertical-align: top;">
				<td class="windowbg2">
					<label for="donation_content">$donateadmin_txt{'34'}:<br /><span class="small">$donateadmin_txt{'35'}</span></label>
				</td>
				<td class="windowbg2">
					<textarea name="donation_content" id="donation_content" cols="60" rows="10">$donation_content</textarea>
				</td>   
			</tr><tr>
				<td class="catbg" colspan="2">
					<span class="small">$donateadmin_txt{'36'}</span>
				</td>
			</tr><tr>
				<td class="windowbg2">
					<label for="donation_header_color">$donateadmin_txt{'37'}:<br /><span class="small">$donateadmin_txt{'38'}<br />$donateadmin_txt{'43'}</span></label>
				</td>
				<td class="windowbg2">
					#<input type="text" size="6" maxlength="6" name="donation_header_color" id="donation_header_color" value="$donation_header_color" onkeyup="previewColor(this.value);" /> <span id="donation_header_color2" style="background-color: #$donation_header_color">&nbsp; &nbsp; &nbsp;</span> <img src="$imagesdir/palette1.gif" style="cursor: pointer; vtop" onclick="window.open('$scripturl?action=palette;task=templ', '', 'height=308,width=302,menubar=no,toolbar=no,scrollbars=no')" alt="" />
					<script type="text/javascript">
						function previewColor(color) {
							document.getElementById('donation_header_color2').style.background = color;
							color = color.replace(/#/, '');
							document.getElementsByName("donation_header_color")[0].value = color;
						}
					</script>
				</td>   
			</tr><tr>
				<td class="windowbg2">
					<label for="donation_border_color">$donateadmin_txt{'39'}:<br /><span class="small">$donateadmin_txt{'40'}<br />$donateadmin_txt{'43'}</span></label>
				</td>
				<td class="windowbg2">
					#<input type="text" size="6" maxlength="6" name="donation_border_color" id="donation_border_color" value="$donation_border_color" onkeyup="previewColor_0(this.value);" /> <span id="donation_border_color2" style="background-color: #$donation_border_color">&nbsp; &nbsp; &nbsp;</span> <img src="$imagesdir/palette1.gif" style="cursor: pointer; vtop" onclick="window.open('$scripturl?action=palette;task=templ_0', '', 'height=308,width=302,menubar=no,toolbar=no,scrollbars=no')" alt="" />
					<script language="JavaScript1.2" type="text/javascript">
						function previewColor_0(color) {
							document.getElementById('donation_border_color2').style.background = color;
							color = color.replace(/#/, '');
							document.getElementsByName("donation_border_color")[0].value = color;
						}
					</script>
				</td>   
			</tr><tr>
				<td class="windowbg2">
					<label for="donation_bg_color">$donateadmin_txt{'41'}:<br /><span class="small">$donateadmin_txt{'42'}<br />$donateadmin_txt{'43'}</span></label>
				</td>
				<td class="windowbg2">
					#<input type="text" size="6" maxlength="6" name="donation_bg_color" id="donation_bg_color" value="$donation_bg_color" onkeyup="previewColor_1(this.value);" /> <span id="donation_bg_color2" style="background-color: #$donation_bg_color">&nbsp; &nbsp; &nbsp;</span> <img src="$imagesdir/palette1.gif" style="cursor: pointer; vtop" onclick="window.open('$scripturl?action=palette;task=templ_1', '', 'height=308,width=302,menubar=no,toolbar=no,scrollbars=no')" alt="" />
					<script type="text/javascript">
						function previewColor_1(color) {
							document.getElementById('donation_bg_color2').style.background = color;
							color = color.replace(/#/, '');
							document.getElementsByName("donation_bg_color")[0].value = color;
						}
					</script>
				</td>   
			</tr>
		</table>
	</div>
	<div class="bordercolor" style="padding: 0px; width: 99%; margin-top: 1em; margin-left: 0px; margin-right: auto;">
		<table width="100%" cellspacing="1" cellpadding="4">
			<tr>
				<th class="titlebg" colspan="2">
					<img src="$imagesdir/preferences.gif" alt="" /> $admin_txt{'10'}
				</th>
			</tr><tr>
				<td class="catbg center" colspan="2">
					<input class="button" type="submit" value="$admin_txt{'10'}" />
				</td>
			</tr>
		</table>
	</div>
</form>
~;

    $yytitle = $mod_list{'donate1'};
    $action_area = "donationpage";
    AdminTemplate();
    exit;
}

sub DonationPage2 {

    is_admin_or_gmod();

    $en_donationpage = $FORM{'en_donationpage'} || 0;
    $donation_currency = $FORM{'donation_currency'} || 'USD';
    $donation_id = $FORM{'donation_id'};
    $donation_content = $FORM{'donation_content'};
    $donation_amount = $FORM{'donation_amount'} || '5.00';
    $donation_header_color = $FORM{'donation_header_color'} || 'ffffff';
    $donation_border_color = $FORM{'donation_border_color'} || 'ffffff';
    $donation_bg_color = $FORM{'donation_bg_color'} || 'ffffff';
    FromChars($donation_content);
    ToHTML($donation_content);
    $donation_content =~ s/[\n\r]{1,2}/<br \/>/gsm;
    ToChars($donation_content);

    my $setfile = << "EOF";
###############################################################################
# DonationPage.txt (Donation Page configurations)                             #
###############################################################################

\$en_donationpage       = $en_donationpage;
\$donation_currency     = $donation_currency;
\$donation_id           = "$donation_id";
\$donation_content      = "$donation_content";
\$donation_amount       = "$donation_amount";
\$donation_header_color = "$donation_header_color";
\$donation_border_color = "$donation_border_color";
\$donation_bg_color     = "$donation_bg_color";

1;
EOF

    fopen(FILE, ">$vardir/DonationPage.txt");
    print {FILE} $setfile;
    fclose(FILE);

    if ($action eq 'donationpage2') {
        $yySetLocation = qq~$adminurl?action=donationpage~;
        redirectexit();
    }
}

1;